# Frontal web configuration

This repository contains units and config files for our frontal web starting (at boot). We start lighttpd with a WebSSH
instance running (for web remote access if need be). We must manually unlock certificates volume, then start nginx.

### Files
* `lighttpd-webssh.conf` is a sub-conf file for lighttpd, making it serve WebSSH.
* `etc-letsencrypt.mount` allow to unlock and mount encrypted certificates volume.
  * Relevant information should be added to `/etc/crypttab`.
* `etc-letsencrypt.timer` is a timer to automatically start previous unit, **but this is currently not used**.
* `start-lighttpd.conf` is a drop-in Systemd unit file, which starts lighttpd should nginx fail to start.
  * This is not intended for starting process, more in case of failed (remote) restart of nginx.
* `wait-for-dns.conf` is a drop-in Systemd unit file, which prevents nginx to start before DNS server is operational.
* `webssh.service` is a service file for WebSSH.
#### Installation
* `install.sh` script copies Systemd files to their destination and sets lighttpd conf (and creates a certificate if
needed).

### TODO
* Finish install script
